//
//  GMTableViewCell+Layout.h
//  Gengmei
//
//  Created by wangyang on 2017/7/19.
//  Copyright © 2017年 更美互动信息科技有限公司. All rights reserved.
//

#define EDGE       20.0
#define CONTENT_WIDTH   [GMTableViewCell contentWidth]
#define MARGIN_TOP 15
#define MARGIN_BOTTOM 20.5
#define TITLE_LINESPACING 0 // title/content行间距
#define MARGIN_TITLE_VIDEO 15 // title与视频(一张大图)间距
#define MARGIN_CONTENT_VIDEO 16 // content与视频(一张大图)间距
#define MARGIN_TITLE_CONTENT 4
#define MARGIN_USERINFO_CONTENT 12 // userInfoView与content间距/userInfoView与title间距
#define MARGIN_USERINFO_IMAGE 16 // userInfoView与图片间距
#define IMAGE_TOP 20
#define IMAGE_WIDTH 155
#define TITLE_SIZE 18
#define CONTENT_SIZE 14
#define TITLE_MAXHEIGHT 76
#define CONTENT_MAXHEIGHT 40
#define TITLE_RIGHT_IMAGE 12
#import "GMTableViewCell.h"
@interface GMTableViewCell (Layout)
+ (CGSize)cellImageSize;
+ (CGFloat)contentWidth;
- (void)useEdgeBottomLine;
@end
